Subject: Re: bug#42772: Emacs crashes on openSUSE Leap 15.1 with Xfce in graphcal more

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Aug 2020 16:57:29 +0300

[Please use Reply All so that the bug address is CC'ed.]

> From: William Krivan <[email-masked]>
> Date: Sat, 8 Aug 2020 22:16:49 -0700
> 
> Thanks so much - I will work on it.

TIA

> Regarding your first suggestion, I believe "M-x report-emacs-bug" is not a possibility if I understand your
> suggestion correctly, since emacs doesn't even start in the GUI mode, which is the one where it crashes.

You can use report-emacs-bug from a -nw session, it collects the same
data.

> With regard to running Emacs under GDB, at first sight it seems that the emacs version I have installed may
> not have been compiled with the option for debugging. When I start gbd with the name of the executable, I
> get "not in executable format: file format not recognized"

The error message seems to say that you invoked GDB not on the Emacs
executable at all, but on some other file.  Please show your GDB
invocation.